Subject: control-z interpreted as end-of-file in b19
From: [email-masked] (Richard Y. Kim)

25 Mar 1998 15:12:06 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
To: gnu-win32 list <[email-masked]>
Cc: [email-masked]

I use
  o windows 98 beta 3
  o gnu-win32 b19 with ftp://ftp.cygnus.com/pub/gnu-win32/latest/b19.1-update/
  o c:/autoexec.bat has these lines:
    SET SHELL=c:/bin/bash
    SET GCC_EXEC_PREFIX=c:/shared/gnuwin32/b19/H-i386-cygwin32/lib/gcc-lib/
    SET MAKE_MODE=unix
    SET CYGFS=c:/shared/gnuwin32/b19
    SET GCC_EXEC_PREFIX=c:\SHARED\GNUWIN32\B19\H-I386~1\lib\gcc-lib\
    SET TCL_LIBRARY=%CYGROOT%\share\tcl8.0\
    SET GDBTK_LIBRARY=%CYGFS%/share/gdbtcl
    SET PATH=c:\SHARED\GNUWIN32\B19\H-I386~1\bin;%PATH%
    REM Setting CYGWIN32 crashes bash, so comment it out for now.
    REM set CYGWIN32=title binmode
    PATH=.;c:\shared\gnuwin32\b19\H-i386-cygwin32\bin;%PATH%

It seems like the old problem where Control-Z is interpreted as
end-of-file is back again as shown below.

bash.exe-2.01$ pwd
//z/lisp-src/mail/vm-6.44
bash.exe-2.01$ cat vm-byteopts.elc vm-delete.elc > foo
bash.exe-2.01$ ls -l vm-byteopts.elc vm-delete.elc foo
-rw-r--r--   1 500      everyone     1884 Mar 20 11:19 foo
-rw-r--r--   1 500      everyone      755 Mar 20 09:54 vm-byteopts.elc
-rw-r--r--   1 500      everyone     7329 Mar 20 09:54 vm-delete.elc

Note that the size of "foo" is 1884 instead of 755+7329.
Not only control-z is interpreted, but also the CR is added at the end of
each line in file foo when the vm-*.elc files do not have them.

It seems like "cat" is operating in the text mode instead of binary mode.
How do you force binary mode operation?

I searched the FAQ as well as mail archive.
I tried setting fmode=binary and fmode_binary=1 in the registry,
but these don't seem to make any difference.
I also tried setting "CYGWIN32=title binmode", but this crashes bash
on startup.  I can't find any description of "binmode" option anywhere!

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".